Name:		php-ini
Version:	4.3.8
Release:	1mdk
Group:		Development/Other
URL:		http://www.php.net
License:	PHP License
Summary:	INI files for PHP
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch:	noarch
Source0:	php.ini.bz2

%description
The php-ini package contains the ini files required for PHP.

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

bzcat %{SOURCE0} > %{buildroot}%{_sysconfdir}/php.ini
perl -p -i -e "s|/usr/lib|%{_libdir}|" %{buildroot}%{_sysconfdir}/php.ini

install -d %{buildroot}%{_docdir}/%{name}-%{version}
echo "Thanks to Oden Eriksson for the scan-dir idea!" > \
        %{buildroot}%{_docdir}/%{name}-%{version}/CREDITS

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
#Since we use noreplace, we may have an old php.ini file which is not 
#compatible with the new way of handling extensions. Remove all
#extensions if that's the case.
cd %{_sysconfdir}
if egrep "^(;)*extension(.)*\.so" php.ini >/dev/null; then
  echo "Converting php.ini to new way of handling extensions"
  cat php.ini > php-ini.bak
  egrep -v "^(;)*extension(.)*\.so" php-ini.bak > php.ini
fi

%files 
%defattr(-,root,root)
%dir %{_sysconfdir}/php.d
%dir %{_libdir}/php
%dir %{_libdir}/php/extensions
%config(noreplace) %{_sysconfdir}/php.ini
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/*

%changelog
* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- 4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Fri Jun 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- 4.3.7

* Thu May 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-2mdk
- updated S0
- move scandir to /etc/php.d

* Tue May 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- updated S0

* Tue Apr 20 2004 Florin Grad <florin@mandrakesoft.com> 4.3.4-2mdk
- fix the amd64 path

* Tue Nov 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4-1mdk
- built for 4.3.4

* Mon Aug 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3-1mdk
- built for 4.3.3
- updated S0

* Mon Jul 21 2003 David BAUDENS <baudens@mandrakesoft.com> 4.3.2-2mdk
- Rebuild to fix bad signature

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-1mdk
- built for 4.3.2

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-0.1mdk
- built for 4.3.2RC4
- updated the php.ini file

* Mon May 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1-1mdk
- the obvious rebuild

* Sat Jan  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.3.0-1mdk
- New package
